Post by dialdin » Wed Jul 27, 2011 10:40 am

Hello.

I used the upgrade script to attempt an upgrade from 1.5.0.5 to 1.5.1.1 and store is now broken. I followed the instructions for the upgrade and received an Upgraded Successful message with no errors when running the script. Trying to load the store afterwards however is another story... Here is the error message that we get now when trying to load our site fullspectrumperformance.net

Warning: Invalid argument supplied for foreach() in /home/stackedp/public_html/fullspectrumperformance.net/catalog/controller/common/column_left.php on line 49Warning: Invalid argument supplied for foreach() in /home/stackedp/public_html/fullspectrumperformance.net/catalog/controller/common/column_left.php on line 49Warning: Invalid argument supplied for foreach() in /home/stackedp/public_html/fullspectrumperformance.net/catalog/controller/common/column_right.php on line 49Warning: Invalid argument supplied for foreach() in /home/stackedp/public_html/fullspectrumperformance.net/catalog/controller/common/column_right.php on line 49Warning: Invalid argument supplied for foreach() in /home/stackedp/public_html/fullspectrumperformance.net/catalog/controller/common/content_top.php on line 49Warning: Invalid argument supplied for foreach() in /home/stackedp/public_html/fullspectrumperformance.net/catalog/controller/common/content_top.php on line 49Warning: Invalid argument supplied for foreach() in /home/stackedp/public_html/fullspectrumperformance.net/catalog/controller/common/content_bottom.php on line 49Warning: Invalid argument supplied for foreach() in /home/stackedp/public_html/fullspectrumperformance.net/catalog/controller/common/content_bottom.php on line 49

Any ideas, suggestions, solutions?

Thanks,
Dialdin
Full Spectrum Performance
Last edited by i2Paq on Wed Jul 27, 2011 1:07 pm, edited 1 time in total.
Reason: Split, renamed and moved

Newbie

Posts

Joined
Wed Jul 27, 2011 10:22 am

Post by fido-x » Wed Jul 27, 2011 1:43 pm

Follow the upgrade instructions. Steps 12-16.

Image
Modules for OpenCart 2.3.0.2
Homepage Module [Free - since OpenCart 0.7.7]
Multistore Extensions
Store Manager Multi-Vendor/Multi-Store management tool

If you're not living on the edge ... you're taking up too much space!


User avatar
Expert Member

Posts

Joined
Sat Jun 28, 2008 1:09 am
Location - Tasmania, Australia

Post by Qphoria » Wed Jul 27, 2011 10:06 pm

dialdin wrote:Hello.

I used the upgrade script to attempt an upgrade from 1.5.0.5 to 1.5.1.1 and store is now broken. I followed the instructions for the upgrade and received an Upgraded Successful message with no errors when running the script. Trying to load the store afterwards however is another story... Here is the error message that we get now when trying to load our site fullspectrumperformance.net

Warning: Invalid argument supplied for foreach() in /home/stackedp/public_html/fullspectrumperformance.net/catalog/controller/common/column_left.php on line 49Warning: Invalid argument supplied for foreach() in /home/stackedp/public_html/fullspectrumperformance.net/catalog/controller/common/column_left.php on line 49Warning: Invalid argument supplied for foreach() in /home/stackedp/public_html/fullspectrumperformance.net/catalog/controller/common/column_right.php on line 49Warning: Invalid argument supplied for foreach() in /home/stackedp/public_html/fullspectrumperformance.net/catalog/controller/common/column_right.php on line 49Warning: Invalid argument supplied for foreach() in /home/stackedp/public_html/fullspectrumperformance.net/catalog/controller/common/content_top.php on line 49Warning: Invalid argument supplied for foreach() in /home/stackedp/public_html/fullspectrumperformance.net/catalog/controller/common/content_top.php on line 49Warning: Invalid argument supplied for foreach() in /home/stackedp/public_html/fullspectrumperformance.net/catalog/controller/common/content_bottom.php on line 49Warning: Invalid argument supplied for foreach() in /home/stackedp/public_html/fullspectrumperformance.net/catalog/controller/common/content_bottom.php on line 49

Any ideas, suggestions, solutions?

Thanks,
Dialdin
Full Spectrum Performance

The store isn't broken at all.. You are seeing exactly what you should. You need to either uninstall/reinstall all modules, or edit each of them, reconfigure, and resave.

Image
Donate!|OpenCart Basics|GeoZones
Image


User avatar
Administrator

Posts

Joined
Tue Jul 22, 2008 3:02 am

Post by bobbyh » Tue Aug 23, 2011 12:09 am

Hi Dialdin,

I have the same issue. Ran the installer and no problem upgrading from 1.5.0.5 to 1.5.1.1 - the back end works fine but the front end has errors along the same lines.

Thanks for the suggestion about the next steps, but in my download the upgrade instructions stop at 10.

Can you post the 12-16 instructions or/and add them to the current download file as otherwise many more will have the same problem I suspect.

Here is whats currently in the upgrade.txt file:
/////////////////////////////////
/// OpenCart V1.5.x ///
/// Upgrade Instructions ///
/// http://www.opencart.com ///
/////////////////////////////////


NOTE: THIS IS FOR UPGRADING 1.5.x to new 1.5.x versions
If you have 1.4.x, DO NOT use this upgrade until you have upgraded to 1.5.0 first


-------
UPGRADE
-------

1. Upload all the files and folders to your server from the "Upload" folder.
This can be to anywhere of your choice.

e.g. /public_html/store or /public_html

2. If you have a Linux/Unix make sure the following folders and files are writable.
chmod 0755 or 0777 image/
chmod 0755 or 0777 image/cache/
chmod 0755 or 0777 image/data/
chmod 0755 or 0777 system/cache/
chmod 0755 or 0777 system/logs/
chmod 0755 or 0777 download/
chmod 0755 or 0777 config.php
chmod 0755 or 0777 admin/config.php

3. Make sure you have installed a MySQL Database which has a user assigned to it
DO NOT USE YOUR ROOT USERNAME AND ROOT PASSWORD

4. Visit the store homepage
e.g. http://www.example.com or http://www.example.com/store/

5. Follow the onscreen instructions.

6. Delete the install directory after install is complete.


For any support issues please visit: http://www.opencart.com

EOF

OPENCART UPGRADE
(turn wordwrap on to read this easier)
=============================

This version of opencart comes with a universal upgrade script that allows you to update your store from as far back as v1.5.0 to the latest version of OpenCart 1.5.x without having to install each version in between. The script is still in beta so there may be some quirks.

Errors received are mostly informational. There is a good chance that the error occurred because the table no longer exists or the change had already been made. In these cases, there is nothing to worry about.

Please be sure to post any errors shown on the forums so that we may address these errors in the future.


If using a version older than OpenCart v1.5.0, you will need to first upgrade all the in between versions until you reach 1.5.0. Then you can run this script for upgrades to future 1.5.x releases.



Upgrade Steps
------------------------------

STEP 1. BACKUP YOUR EXISTING STORE FILES AND DATABASE!!!

STEP 2. Upload ALL new files on top of your current install EXCEPT config.php and admin/config.php

STEP 3. Browse to http://www.yourstore.com/shop/install/upgrade.php

STEP 4. After about 10 seconds you should see the Upgrade Success message or a list of errors.

STEP 5. Post any upgrade script errors problems in the forums

STEP 6. Clear any cookies in your browser to avoid getting token errors.

STEP 7. Load the admin page & press Ctrl+F5 twice to force the browser to update the css changes.

STEP 8. Goto Admin->Users->User Groups and Edit the Top Adminstrator group. Check All boxes.

STEP 9. Goto Admin and Edit the main System Settings. Update all fields and click save, even if nothing changed.

STEP 10. Load the store front & press Ctrl+F5 twice to force the browser to update the css changes.



Possible Errors and Solutions:
------------------------------
Nothing to specify at this time




Please post any other errors in the forum threads regarding this version



That's It!
OpenCart Dev Team
Cheers

Bob

New member

Posts

Joined
Fri Jul 01, 2011 2:48 am
Who is online

Users browsing this forum: No registered users and 11 guests